unit Isosis;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, DB, FileCtrl, inputdat;

type
  TBtnBottomDlg = class(TForm)
    OKBtn: TBitBtn;
    Bevel1: TBevel;
    GPuntos: TRadioGroup;
    listmap: TComboBox;
    label1: TLabel;
    FileListBox1: TFileListBox;
    procedure OKBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BtnBottomDlg: TBtnBottomDlg;

implementation

{$R *.DFM}

procedure TBtnBottomDlg.OKBtnClick(Sender: TObject);
begin
close;
end;

procedure TBtnBottomDlg.HelpBtnClick(Sender: TObject);
begin
Application.HelpJump('Config_map');
end;

procedure TBtnBottomDlg.FormCreate(Sender: TObject);
var i:integer;
begin
 listmap.Items.Clear;
  {$I-}
  { Change to directory specified in Edit1 }
  ChDir(Syspath+'dat\');
  if IOResult <> 0 then
  Application.MessageBox('Cannot find directory C:\PROMAC\MAP', 'Warning',mb_DefButton1)
  else
   begin
    FileListBox1.Directory := syspath+'dat\*.map';
    FileListBox1.Update;
    for i:=0 to FileListBox1.Items.Count - 1 do
     listmap.Items.add(FileListBox1.Items[i]);
     listmap.Text := filemap;
    end;
end;

end.
